<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

include "in_1.php";

$criou=$usuario;

SESSION_START();

//recupera dados do formulario E url

$botao=$_GET['botao'];
if (strcmp($botao, "gerenciar usuario") == 0)
   $usuario=trim(pg_escape_string($_POST['form_usuario']));
else
   $usuario=trim(pg_escape_string($_POST['form_usuario_old']));

$atualSenha		= trim(pg_escape_string($_POST['form_atualSenha']));
$nSenha			= trim(pg_escape_string($_POST['form_nSenha']));
$cnSenha		= trim(pg_escape_string($_POST['form_cnSenha']));
//$botao 			= $_POST['botao'];
$perfil  = trim(pg_escape_string($_POST['form_perfil']));
$criausuario = trim(pg_escape_string($_POST['form_criausuario']));
$conferencia   = trim(pg_escape_string($_POST['form_conferencia']));
$supervisiona   = trim(pg_escape_string($_POST['form_supervisiona']));

if ($criausuario == "")	$criausuario = "N";
if ($conferencia == "")	$conferencia = "N";
if ($supervisiona == "") $supervisiona = "N";

// remocao de usuarios

$idUser=$_GET['idUser'];
$acao=$_GET['acao'];

if ($acao == 'remover') {
	include "includes/begin.php";
	$sql="delete from cultura.logon where usuario = '".$idUser."'";
	$result=pg_query($dbh, $sql);
	
	if (!$result) {
	   //die("Erro na selecao do usuario" . pg_last_error());
	   header('location:gerencia.php?msn=1&'.$p);
	   exit;
	}		
	include "includes/end.php";
	header('location:gerencia.php?msn=2&'.$p);
	exit;
}

//atualizar senha de adminstrador


if (strcmp($botao, "alterar senha") == 0)
{
    if ($nSenha == $usuario)
    {
  	   include "includes/end.php";
 	   header('location:gerencia.php?botao=alterar senha&msn=12&'.$p);
	   exit;
    }
	include "includes/begin.php";		
	
	$sql="select * from cultura.logon where usuario = 'admin'";
	$result = pg_query($dbh, $sql);
	if (!$result) {
	   include "includes/end.php";
	   header('location:gerencia.php?msn=3&'.$p);
	   exit;
	}

	$row = pg_fetch_array($result);
	if(isset($row['senha'])){

		if ((md5($nSenha)==md5($cnSenha)) && (md5(trim($atualSenha)) == trim($row['senha'])) )
		{
			//carrega arquivo de conex�o
			include "includes/begin.php";		
			// update a senha do admin
			$sql="update cultura.logon set senha = '".md5($nSenha)."' where usuario = 'admin'";
			$result=pg_query($dbh, $sql);
			
			if (!$result) {
	           include "includes/end.php";
			   header('location:gerencia.php?botao=alterar senha&msn=4&'.$p);
			   exit;
			}
			$_SESSION['logon_admin']='admin_gerencia';
			include "includes/end.php";
			header('location:gerencia.php?botao=alterar senha&msn=4&msn=6&'.$p);
			exit;
	
		}
		else
		{
	      include "includes/end.php";
			header('location:gerencia.php?botao=alterar senha&msn=4&msn=5&'.$p);
			exit;
		}	
	}
}

// atualizar perfil, etc

if (trim($botao) == 'alterar usuario')
{
	include "includes/begin.php";
    $sql="select * from cultura.logon where usuario = '".$usuario."'";
	$result=pg_query($dbh, $sql);
	$row = pg_fetch_array($result);
    if (trim($nSenha) != "")
    {
       if ($nSenha == $usuario)
       {
           include "includes/end.php";
           header('location:gerencia.php?msn=12&botao=gerenciar usuario&'.$p);
           exit;
       }
       
       $senha = md5($nSenha);
       if (strcmp($nSenha, $cnSenha) != 0)
       {
           include "includes/end.php";
           header('location:gerencia.php?msn=13&botao=gerenciar usuario&'.$p);
           exit;
       }
    }
    else
    {
       $senha = $row["senha"];
    }
    if ($usuario == $criou)
    {
       $sql = "SELECT *
               FROM   cultura.logon
               WHERE  usuario = '$usuario'";
               
       $result=pg_query($dbh, $sql);
       $row=pg_fetch_array($result);
       
       $criausuarioAnterior=$row["cria_usuario"];
       $conferenciaAnterior=$row["conferencia_estatisticas"];
       $supervisionaAnterior=$row["supervisor"];
       
       if ($criausuarioAnterior  != $criausuario  ||
           $conferenciaAnterior  != $conferencia  ||
           $supervisionaAnterior != $supervisiona)
       {
//       echo "dentro"; echo $criausuarioAnterior."-".$criausuario."--".$conferenciaAnterior."-".$conferencia; die();
          include "includes/end.php";
          header('location:gerencia.php?msn=13&botao=gerenciar usuario&'.$p);
          exit;
       }
       else
       {
          if (strlen($nSenha) != 0)
          {
	         $sql="UPDATE cultura.logon
                   SET    senha='$senha'
                   WHERE  usuario ='$usuario'";

             $result=pg_query($dbh, $sql);
             if (!$result)
             {
	            include "includes/end.php";
	            header('location:gerencia.php?msn=4&botao=gerenciar usuario&'.$p);
	            exit;
	         }
	         include "includes/end.php";
	         header('location:gerencia.php?msn=6&botao=gerenciar usuario&'.$p);
             exit;
          }
          else
          {
	         include "includes/end.php";
	         header('location:gerencia.php?msn=14&botao=gerenciar usuario&'.$p);
             exit;
          }
       }
    }
    
    if (strlen($nSenha) != 0 and $usuario != $criou)
    {
       include "includes/end.php";
       header('location:gerencia.php?msn=4&botao=gerenciar usuario&'.$p);
       exit;
    }
    
	$sql="UPDATE cultura.logon
          SET usuario     = '$usuario',
             tipo_perfil  = '$perfil',
             cria_usuario = '$criausuario',
             supervisor   = '$supervisiona',
             conferencia_estatisticas = '$conferencia'
         WHERE usuario    ='$usuario'";

    $result=pg_query($dbh, $sql);
	if (!$result)
    {
	   include "includes/end.php";
	   header('location:gerencia.php?msn=7&botao=gerenciar usuario&'.$p);
	   exit;
	}
	include "includes/end.php";
	header('location:gerencia.php?msn=8&botao=gerenciar usuario&'.$p);
	exit;
}

// Cadastrar administradores


if ($botao ==  "gerenciar usuario")
{
	include "includes/begin.php";
	$sql="select * from cultura.logon where usuario = '".$usuario."'";
	$result=pg_query($dbh, $sql);

	if (!$result) {
		include "includes/end.php";
		header('location:gerencia.php?msn=3&'.$p);
		exit;
	}
	$row = pg_fetch_array($result);
	if ($row['usuario']) {
		include "includes/end.php";
		header('location:gerencia.php?msn=9&'.$p);
		exit;
	}
	else
    {
        if($n_senha == $usuario)
        {
		   header('location:gerencia.php?msn=12&'.$p);
		   exit;
        }
        $senha = md5($nSenha);
		if (trim($nSenha) == trim($cnSenha)) {
			$sql="insert into cultura.logon
            (
              usuario,
              senha,
              tipo_perfil,
              cria_usuario,
              conferencia_estatisticas,
              supervisor,
              criou_usuario
            )
              values
            (
              '$usuario',
              '$senha',
              '$perfil',
              '$criausuario',
              '$conferencia',
              '$supervisiona',
              '$criou'
            )";
			$result=pg_query($dbh, $sql);
			if (!$result) {
			die(pg_last_error());
				include "includes/end.php";
				header('location:gerencia.php?botao=gerenciar usuario&msn=10&'.$p);
				exit;
			}
			else {
				include "includes/end.php";
				header('location:gerencia.php?botao=gerenciar usuario&msn=11&'.$p);
				exit;
			}
		}
		else {
			include "includes/end.php";
			header('location:gerencia.php?msn=5&'.$p);
			exit;
		}
	}
}

?>
